<script lang="ts">
export default {
  name: 'GetStartedNextSteps',
  props: {
    data: {
      type: Object,
      required: true,
    },
  },
};
</script>

<template>
  <div class="get-started-next-steps">
    <SlpRow>
      <SlpColumn>
        <SlpTypography
          tag="h2"
          variant="heading2-bold"
          class="get-started-next-steps__header slp-mb-32"
        >
          {{ data.header }}
        </SlpTypography>
      </SlpColumn>
    </SlpRow>
    <SlpRow>
      <SlpColumn
        v-for="card in data.cards"
        :key="card.title"
        :cols="card.col_size"
        class="slp-mb-32"
      >
        <a
          :href="card.link.url"
          :data-ga-name="card.link.data_ga_name"
          :data-ga-location="card.link.data_ga_location"
        >
          <div class="get-started-next-steps__card">
            <img
              v-if="card.avatar"
              :src="card.avatar"
              alt="Avatar"
              class="card-avatar slp-mb-24"
              loading="lazy"
            />
            <SlpTypography tag="h4" variant="heading4-bold" class="slp-mb-24">
              {{ card.title }}
            </SlpTypography>
            <div v-if="card.text" class="slp-mb-64 body-text">
              <div v-html="$md.render(card.text)"></div>
            </div>
            <span class="get-started-next-steps__card__link">
              <SlpTypography variant="body1-bold">{{
                card.link.text
              }}</SlpTypography>
              <SlpIcon
                class="slp-ml-8"
                name="chevron-lg-right"
                variant="product"
                alt="Chevron Right Icon"
              />
            </span>
          </div>
        </a>
      </SlpColumn>
    </SlpRow>
  </div>
</template>

<style scoped lang="scss">
.get-started-accordion__copy__text ul {
  margin: 24px 32px;
  list-style: disc;
}
.get-started-next-steps {
  &__header {
    font-size: $text-heading-2;

    @media (min-width: $breakpoint-md) {
      font-size: 56px;
    }
  }

  &__card {
    display: flex;
    flex-direction: column;
    background: $color-primary-300;
    border-radius: 16px;
    padding: $spacing-32;
    color: $color-primary-200;
    position: relative;
    height: 100%;
    min-height: 480px;
    transition: all 0.3s ease-in-out;
    cursor: pointer;

    @media (min-width: $breakpoint-sm) {
      min-height: 400px;
    }

    @media (min-width: $breakpoint-md) {
      margin: 15px;
      min-height: unset;
    }

    &:deep .slp-icon {
      transition: all 0.3s ease-in-out;
    }

    &:hover {
      box-shadow: $shadow-surface-secondary-3;

      .get-started-next-steps__card__link {
        text-decoration: underline;
      }

      &:deep .slp-icon {
        transform: translateX(8px);
      }
    }
    .card-avatar {
      max-height: 144px;
      max-width: 144px;
    }

    .body-text {
      font-size: 20px;
      line-height: 24px;
    }

    &__link {
      display: flex;
      align-items: center;
      position: absolute;
      bottom: $spacing-24;
      max-width: 80%;

      @media (min-width: $breakpoint-md) {
        bottom: $spacing-48;
      }
    }
  }
}
</style>
